# FormattedQuote

| Name                   | Type                                                                  | Description |
| ---------------------- | --------------------------------------------------------------------- | ----------- |
| acceptedAt             | ISO8601DateTime                                                       |             |
| acceptedByName         | String                                                                |             |
| acceptedByTitle        | String                                                                |             |
| amount                 | Float                                                                 |             |
| amountDue              | Float                                                                 |             |
| amountsByPeriod        | List ([PeriodAmount](/developer/api-reference/types/periodamount.md)) |             |
| approvalRequest        | [ApprovalRequest](/developer/api-reference/types/approvalrequest.md)  |             |
| billingCity            | String                                                                |             |
| billingCountry         | String                                                                |             |
| billingState           | String                                                                |             |
| billingStreet          | String                                                                |             |
| billingZip             | String                                                                |             |
| contactEmail           | String                                                                |             |
| contactName            | String                                                                |             |
| currency               | String                                                                |             |
| customerBillingCity    | String                                                                |             |
| customerBillingCountry | String                                                                |             |
| customerBillingState   | String                                                                |             |
| customerBillingStreet  | String                                                                |             |
| customerBillingZip     | String                                                                |             |
| customerName           | String                                                                |             |
| dealOwnerEmail         | String                                                                |             |
| dealOwnerName          | String                                                                |             |
| discount               | Float                                                                 |             |
| discountValue          | Float                                                                 |             |
| documents              | List ([Document](/developer/api-reference/types/document.md))         |             |
| duration               | String                                                                |             |
| endDate                | ISO8601Date                                                           |             |
| evergreen              | Boolean                                                               |             |
| expiresAt              | ISO8601Date                                                           |             |
| files                  | List ([Document](/developer/api-reference/types/document.md))         |             |
| formattedLines         | List ([QuoteLine](/developer/api-reference/types/quoteline.md))       |             |
| html                   | String                                                                |             |
| netPaymentDays         | Int                                                                   |             |
| notes                  | String                                                                |             |
| number                 | String                                                                |             |
| payableId              | ID                                                                    |             |
| poNumberRequired       | Boolean                                                               |             |
| quote                  | [Quote](/developer/api-reference/types/quote.md)                      |             |
| salesContactEmail      | String                                                                |             |
| sharedAt               | ISO8601Date                                                           |             |
| startDate              | ISO8601Date                                                           |             |
| state                  | [QuoteState](/developer/api-reference/enums.md#quotestate)            |             |
| subtotal               | Float                                                                 |             |
| taxAmount              | Float                                                                 |             |
| taxId                  | String                                                                |             |
| taxNumberLabel         | String                                                                |             |
| taxNumberRequired      | Boolean                                                               |             |
| taxType                | String                                                                |             |
| vendorName             | String                                                                |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/formattedquote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
